#!/usr/bin/perl

#STEP 2
# creates a _tStamp.trg text file that contains time stamps of all triggers in the trigger audio file (trigger audio must be mono)

$soxPath = @ARGV[0]; #path to SoX program
$source = @ARGV[1]; #filename and path to source mono wavefile that contains triggers

if (($#ARGV + 1) != 2)
{
  print "\nThis script takaes a trigger audio file and creates the corresponding time stamp text file (_tStamp.trg)\n";
  print "\nUsage: perl ./createTstamp.pl pathToSox filenameAndPathToTriggerAudioFile \n\n";
  exit(0);
}

$path = substr($source, 0, rindex($source, '/')) . "/";#path to source file. extracted from $source
$target = $path . "_tStamp.trg";#path and filename of target wave (_left.wav and _right.wav)


#convert mono file to tStamps text file
$soxCmd = "\'" . $soxPath . "sox\' -S \'" . $source . "\' \'" . $target . "\'";

#print $soxCmd . "\n";

$res = `$soxCmd`;	
	if($res ne ""){
		print "some error with aligner:" . $res . "\n"
	}