#!/usr/bin/perl

#STEP 1
# extracts both left and right channel of the triggerWave audio file
# saves it in the currentFolder

$soxPath = @ARGV[0]; #path to SoX program
$source = @ARGV[1]; #filename and path to source stereo wavefile

if (($#ARGV + 1) != 2)
{
  print "\nThis script extracts the left and right channels of a stereo audio file into _left.wav and _right.wav\n";
  print "\nUsage: perl ./extractMono.pl pathToSox filenameAndPathToSourceAudio\n\n";
  exit(0);
}

$target = "";#path and filename of target wave (_left.wav and _right.wav)
$channel = "";#channel that we are extracting (l or r)
$path = substr($source, 0, rindex($source, '/')) . "/";#path to source file. extracted from $source



#save mono file for both left and right channel
while($j<2){
	if($j==0){
		$channel = '-l';
		$target = $path . "_left.wav";
		$soxCmd = "\'" . $soxPath . "sox\' -S \'" . $source . "\' -c 1 \'" . $target . "\' avg " . $channel;
	} else {
		$channel = '-r';
		$target = $path . "_right.wav";
		$soxCmd = "\'" . $soxPath . "sox\' -S \'" . $source . "\' -c 1 \'" . $target . "\' avg " . $channel;
	}
	
	#print "\n";
	#print "SOX_CMD: " . $soxCmd . "\n";

	$res = `$soxCmd`;
			
	if($res ne ""){
		print "some error with aligner:" . $res . "\n"
	}
	
	$j +=1;

}